package com.rjconsultores.ventaboletos.vo.embarcada;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.entidad.InscricaoEstadual;

public class InscricaoEstadualVO {
	private Long inscricaoestadualId;

	private EstadoDispositivoEmbarcadaVO estado;
	private Boolean activo;
	private Date fecmodif;
	private Integer usuarioId;
	private String numInscricaoEstadual;
	private String logradouro;
	private String numero;
	private String complemento;
	private String cep;
	private String bairro;
	private CidadeVO cidade;
	private String cnpj;
	private String equivalenciaAG;
	private Boolean isBPe;
	private BigDecimal porctributo;
	private BigDecimal tributacaoImportacao;
	private BigDecimal tributacaoImportacaoIM;
	
	public InscricaoEstadualVO(){}
	
	public InscricaoEstadualVO(InscricaoEstadual insc){
		this.activo = insc.getActivo();
		this.bairro = insc.getBairro();
		this.cep = insc.getCep();
		this.cidade = new CidadeVO();
		if (insc.getCidade() != null){
			this.cidade.setCiudadId(insc.getCidade().getCiudadId());
			this.cidade.setNombciudad(insc.getCidade().getNombciudad());
		}
		this.cnpj = insc.getCnpj();
		this.complemento = insc.getComplemento();
		this.equivalenciaAG = insc.getEquivalenciaAG();
		this.estado = new EstadoDispositivoEmbarcadaVO();
		if (insc.getEstado() != null){
			this.estado.setDescUf(insc.getEstado().getNombestado());
			this.estado.setIdUf(insc.getEstado().getEstadoId().longValue());
		}
		this.fecmodif = insc.getFecmodif();
		this.inscricaoestadualId = insc.getInscricaoestadualId();
		this.isBPe = insc.getIsBPe();
		this.logradouro = insc.getLogradouro();
		this.numero = insc.getNumero();
		this.numInscricaoEstadual = insc.getNumInscricaoEstadual();
		this.usuarioId = insc.getUsuarioId();		
	}
	
	public Long getInscricaoestadualId() {
		return inscricaoestadualId;
	}
	public void setInscricaoestadualId(Long inscricaoestadualId) {
		this.inscricaoestadualId = inscricaoestadualId;
	}
	
	public EstadoDispositivoEmbarcadaVO getEstado() {
		return estado;
	}

	public void setEstado(EstadoDispositivoEmbarcadaVO estado) {
		this.estado = estado;
	}

	public Boolean getActivo() {
		return activo;
	}
	public void setActivo(Boolean activo) {
		this.activo = activo;
	}
	public Date getFecmodif() {
		return fecmodif;
	}
	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}
	public Integer getUsuarioId() {
		return usuarioId;
	}
	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}
	public String getNumInscricaoEstadual() {
		return numInscricaoEstadual;
	}
	public void setNumInscricaoEstadual(String numInscricaoEstadual) {
		this.numInscricaoEstadual = numInscricaoEstadual;
	}
	public String getLogradouro() {
		return logradouro;
	}
	public void setLogradouro(String logradouro) {
		this.logradouro = logradouro;
	}
	public String getNumero() {
		return numero;
	}
	public void setNumero(String numero) {
		this.numero = numero;
	}
	public String getComplemento() {
		return complemento;
	}
	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}
	public String getCep() {
		return cep;
	}
	public void setCep(String cep) {
		this.cep = cep;
	}
	public String getBairro() {
		return bairro;
	}
	public void setBairro(String bairro) {
		this.bairro = bairro;
	}
	public CidadeVO getCidade() {
		return cidade;
	}
	public void setCidade(CidadeVO cidade) {
		this.cidade = cidade;
	}
	public String getCnpj() {
		return cnpj;
	}
	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}
	public String getEquivalenciaAG() {
		return equivalenciaAG;
	}
	public void setEquivalenciaAG(String equivalenciaAG) {
		this.equivalenciaAG = equivalenciaAG;
	}
	public Boolean getIsBPe() {
		return isBPe;
	}
	public void setIsBPe(Boolean isBPe) {
		this.isBPe = isBPe;
	}

	public BigDecimal getPorctributo() {
		return porctributo;
	}

	public void setPorctributo(BigDecimal porctributo) {
		this.porctributo = porctributo;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	public BigDecimal getTributacaoImportacaoIM() {
		return tributacaoImportacaoIM;
	}

	public void setTributacaoImportacaoIM(BigDecimal tributacaoImportacaoIM) {
		this.tributacaoImportacaoIM = tributacaoImportacaoIM;
	}

}
